r76426 - /trunk/libcgi-application-plugin-viewcode-perl/debian/components/ds/test

periapt-guest at users.alioth.debian.org periapt-guest at users.alioth.debian.org
Fri Jun 24 00:58:47 UTC 2011


Author: periapt-guest
Date: Fri Jun 24 00:58:44 2011
New Revision: 76426

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=76426
Log:
helping with Makefile.PL

Added:
    trunk/libcgi-application-plugin-viewcode-perl/debian/components/ds/test   (with props)

Added: trunk/libcgi-application-plugin-viewcode-perl/debian/components/ds/test
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libcgi-application-plugin-viewcode-perl/debian/components/ds/test?rev=76426&op=file
==============================================================================
--- trunk/libcgi-application-plugin-viewcode-perl/debian/components/ds/test (added)
+++ trunk/libcgi-application-plugin-viewcode-perl/debian/components/ds/test Fri Jun 24 00:58:44 2011
@@ -1,0 +1,33 @@
+#!/bin/sh
+
+TDIR=COMPONENTS/${DH_COMPONENT}
+export PERL5LIB=../../debian/${PACKAGE}/usr/share/perl5
+
+if [ -z ${PACKAGE} ]
+then
+    echo PACKAGE not set
+    exit 1
+fi
+
+if [ -z ${DH_COMPONENT} ]
+then
+    echo DH_COMPONENT not set
+    exit 1
+fi
+
+if [ ! -d ${TDIR} ]
+then
+    echo ${TDIR} not a directory
+    exit 1
+fi
+
+if dh_auto_test -D ${TDIR} 
+then
+    EXIT_STATUS=0
+else
+    EXIT_STATUS=1
+fi
+
+exit $EXIT_STATUS
+
+

Propchange: trunk/libcgi-application-plugin-viewcode-perl/debian/components/ds/test
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-perl-cvs-commits mailing list